These docs are for v2. Click to read the latest docs for v3.

Get All

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

With this API you can get all the executions made to the Círculo de Crédito Persona Física service.

Important Points

Pagination Parameters

The next two pagination parameters are mandatory to do the request.

  • itemsPerPage, number of items by page, should be an integer between [1, 1000]
  • page, the page index, should be an integer greater than 0

The next two parameters are required if you want to filter by a period:

  • from
  • to

Both parameters are a string date with the format YYYY-MM-DDTHH:MM:SSZ eg 2023-04-20T13%3A24%3A45Z with the : encoded as %3A.

Extra query parameters

This service allows you to make a more exact search, for that you can send some of these fields as query parameters

  • primerNombre
  • segundoNombre
  • apellidoPaterno
  • apellidoMaterno
  • fechaNacimiento
  • cp
  • rfc

Errors

The next errors can be returned if there is a problem with the request body or the execution of this service:

Errors by required field:

{
    "itemsPerPage": "ERROR_QUERY_PARAM_EMPTY",
    "page": "ERROR_QUERY_PARAM_EMPTY"
}

Errors by an incorrect format:

{
    "itemsPerPage": "ERROR_QUERY_PARAM_FORMAT; should be integer value, [1, 1000]",
    "page": "ERROR_QUERY_PARAM_FORMAT; should be integer value, > 0",
    "from": "FORMAT_ERROR; Invalid date format. The format must comply with format ISO 8601",
    "to": "FORMAT_ERROR; Invalid date format. The format must comply with format ISO 8601"
}

Response

Kiban will return a list of items with the next structure:

{
    "currentPage": 1,
    "hasNextPage": false,
    "items": [
        {
            "id": "666c9351b9bf0f8c335ac01b",
            "createdAt": "2024-06-14T19:00:33.744Z",
            "finishedAt": "2024-06-14T19:00:34.163Z",
            "duration": 419416639,
            "status": "SUCCESS",
            "searchableBy": {
                "apellidoMaterno": "",
                "apellidoPaterno": "ROSAS AMBRIZ",
                "autenticacion": false,
                "cp": "06500",
                "externalId": "666c932bfc65b10571a5b791",
                "fechaNacimiento": "2000-06-14",
                "nip": true,
                "primerNombre": "USARIO",
                "rfc": "XAXX730101C54",
                "segundoNombre": ""
            }
        },
        {
            "id": "6669df08f98e00a861107d9e",
            "createdAt": "2024-06-12T17:46:48.121Z",
            "finishedAt": "2024-06-12T17:46:48.515Z",
            "duration": 393665135,
            "status": "SERVICE_ERROR",
            "searchableBy": {
                "apellidoMaterno": "",
                "apellidoPaterno": "LPZ",
                "autenticacion": false,
                "cp": "54935",
                "externalId": "6669deec8c4df63f5c62c83c",
                "fechaNacimiento": "2000-06-12",
                "nip": false,
                "primerNombre": "EDGAR",
                "rfc": "XAXX730101C54",
                "segundoNombre": ""
            }
        },
        {
            "id": "6669de68f98e00a861107d04",
            "createdAt": "2024-06-12T17:44:08.147Z",
            "finishedAt": "2024-06-12T17:44:08.473Z",
            "duration": 325904210,
            "status": "SERVICE_ERROR",
            "searchableBy": {
                "apellidoMaterno": "",
                "apellidoPaterno": "LPZ",
                "autenticacion": false,
                "cp": "54935",
                "externalId": "6669de478c4df63f5c62c832",
                "fechaNacimiento": "2000-06-12",
                "nip": false,
                "primerNombre": "EDGAR",
                "rfc": "XAXX730101C54",
                "segundoNombre": ""
            }
        },
        {
            "id": "6669de2df98e00a861107ce4",
            "createdAt": "2024-06-12T17:43:09.012Z",
            "finishedAt": "2024-06-12T17:43:09.359Z",
            "duration": 346661528,
            "status": "SERVICE_ERROR",
            "searchableBy": {
                "apellidoMaterno": "",
                "apellidoPaterno": "LPZ",
                "autenticacion": false,
                "cp": "54935",
                "externalId": "6669de0e8c4df63f5c62c830",
                "fechaNacimiento": "2000-06-12",
                "nip": false,
                "primerNombre": "EDGAR",
                "rfc": "XAXX730101C54",
                "segundoNombre": ""
            }
        },
        {
            "id": "6668e137677c5b204a1428c6",
            "createdAt": "2024-06-11T23:43:51.038Z",
            "finishedAt": "2024-06-11T23:43:51.428Z",
            "duration": 390677340,
            "status": "SUCCESS",
            "searchableBy": {
                "apellidoMaterno": "",
                "apellidoPaterno": "ROSAS AMBRIZ",
                "autenticacion": false,
                "cp": "06500",
                "externalId": "6668e1267a8202d6f9f00228",
                "fechaNacimiento": "2000-06-04",
                "nip": false,
                "primerNombre": "USARIO",
                "rfc": "XAXX730101C54",
                "segundoNombre": ""
            }
        },
        {
            "id": "65b1b2deb52fb7bcd1c38cd7",
            "createdAt": "2024-01-25T01:01:18.223Z",
            "finishedAt": "2024-01-25T01:01:18.675Z",
            "duration": 452017150,
            "status": "SUCCESS",
            "searchableBy": {
                "apellidoMaterno": "FLORES",
                "apellidoPaterno": "CHI",
                "autenticacion": true,
                "cp": "97000",
                "externalId": "",
                "fechaNacimiento": "1997-08-15",
                "nip": false,
                "nombres": "RICARDO EMMANUEL",
                "rfc": "CIFR970815BPA"
            }
        },
        {
            "id": "65b1b2d9b52fb7bcd1c38cd4",
            "createdAt": "2024-01-25T01:01:13.667Z",
            "finishedAt": "2024-01-25T01:01:14.045Z",
            "duration": 377549765,
            "status": "SUCCESS",
            "searchableBy": {
                "apellidoMaterno": "NO PROPORCIONADO",
                "apellidoPaterno": "ALATRISTE",
                "autenticacion": false,
                "cp": "97000",
                "externalId": "",
                "fechaNacimiento": "1957-08-15",
                "nip": false,
                "nombres": "DIEGO",
                "rfc": "ABCD970815BPA"
            }
        },
        {
            "id": "65b144bbb52fb7bcd1c3781f",
            "createdAt": "2024-01-24T17:11:23.884Z",
            "finishedAt": "2024-01-24T17:11:24.263Z",
            "duration": 379128679,
            "status": "SUCCESS",
            "searchableBy": {
                "apellidoMaterno": "NO PROPORCIONADO",
                "apellidoPaterno": "PATERNO",
                "autenticacion": false,
                "cp": "97000",
                "externalId": "",
                "fechaNacimiento": "1990-10-15",
                "nip": false,
                "nombres": "KIBAN CLOUD",
                "rfc": "KIBA970815BPA"
            }
        }
    ]
}
  • currentPage, the actual recovered page
  • hasNextPage, indicate if there are more pages
  • items, list of items in the request
    • id, identifier of the request.
    • createdAt, date time with the exact moment of creation.
    • finishedAt, date time with the exact moment of finalization.
    • duration, indicates how long it took to execute the service.
    • status, status of the request
    • searchableBy, within this object you can find some fields which you can integrate into your query to make a more exact query
Query Params
int32
Defaults to 10

number of items by page, should be an integer between [1, 1000]

int32
Defaults to 1

page index, should be an integer greater than 0

string

String with the format YYYY-MM-DDTHH:MM:SSZ eg 2023-04-20T13%3A24%3A45Z with the : encoded as %3A

string

String with the format YYYY-MM-DDTHH:MM:SSZ eg 2023-04-20T13%3A24%3A45Z with the : encoded as %3A

string

Search records by first name

string

Search records by second name

string

Search records by last name

string

Search records by second last name

string

Search records by postal code

string

Search records by birth date

string

Search records by RFC

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json